from creature import *
from stats import *

""" initialize our default party member choices """

tank = Creature()
tank.name = "Crog"
tank.level = 1
tank.hp = tank.max_hp = 20
tank.mana = tank.max_mana = 1

tank.stats = {
  Strength: 15,
  Defense: 15,
  Agility: 5,
  Evasion: 5,
  Magic: 5,
  Charisma: 5 }

thief = Creature()
thief.name = "Estelmer"
thief.level = 1
thief.hp = thief.max_hp = 15
thief.mana = thief.max_mana = 5

thief.stats = {
  Strength: 8,
  Defense: 8,
  Agility: 12,
  Evasion: 12,
  Magic: 5,
  Charisma: 5 }

seductress = Creature()
seductress.name = "Liina"
seductress.level = 1
seductress.hp = seductress.max_hp = 12
seductress.mana = seductress.max_mana = 6

seductress.stats = {
  Strength: 6,
  Defense: 6,
  Agility: 7,
  Evasion: 7,
  Magic: 10,
  Charisma: 14 }

wizard = Creature()
wizard.name = "Raghanus"
wizard.level = 1
wizard.hp = wizard.max_hp = 8
wizard.mana = wizard.max_mana = 12

wizard.stats = {
  Strength: 5,
  Defense: 5,
  Agility: 8,
  Evasion: 8,
  Magic: 18,
  Charisma: 6 }

ranger = Creature()
ranger.name = "Framst"
ranger.level = 1
ranger.hp = ranger.max_hp = 12
ranger.hp = ranger.max_hp = 6

ranger.stats = {
  Strength: 9,
  Defense: 9,
  Agility: 8,
  Evasion: 8,
  Magic: 8,
  Charisma: 8 }

members = [tank, thief, seductress, wizard, ranger]

