from random import *

class ElementalMatrix(object):

  def __init__(self):

    names = list()
    rand_count = randrange(3, 5)
    self.elements = []
    self.matrix = dict()

    for line in open('resources/names/elements', 'r'):
      line = line.strip()
      names.append(line)
  
    for i in range(rand_count):
      new_elem = names.pop(randrange(len(names)))
      self.elements.append(new_elem)
  
    for attack in self.elements:
      self.matrix[attack] = dict()
      for defend in self.elements:
        if attack == defend:
          self.matrix[attack][defend] = 1
        else:
          self.matrix[attack][defend] = choice([2, 0.5, 1])

  def __str__(self):

    ret = "%12s" % ''
    for attack in self.matrix:
      ret += "%12s" % attack
    ret += "\n"

    for defend in self.matrix:
      ret += "%12s" % defend
      for attack in self.matrix:
        ret += "%12s" % self.matrix[attack][defend]
      ret += "\n"

    return ret
  
if __name__ == '__main__':
  ematrix = ElementalMatrix()
  print ematrix

