class ItemType(object):
  name = 'item'

class RelicItem(ItemType):
  name = 'relic'

class ArmorItem(ItemType):
  name = 'generic armor'

class BodyArmorItem(ArmorItem):
  name = 'armor'

class HelmetArmorItem(ArmorItem):
  name = 'helmet'

class GloveItem(ArmorItem):
  name = 'gloves'

class BootItem(ArmorItem):
  name = 'boots'

class WeaponItem(ItemType):
  name = 'weapon'

armor_types = (BodyArmorItem, HelmetArmorItem, GloveItem, BootItem)
all_types = (ItemType, BodyArmorItem, HelmetArmorItem, GloveItem, BootItem,
  WeaponItem)
