class TargetType(object):
  pass

class MeleeTargetType(TargetType):
  pass

class RangedTargetType(TargetType):
  pass

class TargetAll(RangedTargetType):
  short = "all"

class TargetAny(RangedTargetType):
  short = "any"

class TargetOneFront(MeleeTargetType):
  short = "front (1)"

class TargetFrontRow(MeleeTargetType):
  short = "front (all)"

class TargetFriendly(TargetType):
  short = "friendly"

target_list = (TargetAll, TargetAny, TargetOneFront, TargetFrontRow)
melee_target_list = (TargetOneFront, TargetFrontRow)
ranged_target_list = (TargetAll, TargetAny)

